%define name iceconf
%define version 0.99.33

Summary: Configuration tool for icewm
Name: %{name}
Version: %{version}
Release: 5mdk
Source0: http://www.ionet.net/~hestgray/files/%{name}-%{version}.tar.bz2
Source1: %{name}
Source2: %{name}.xpm.bz2
Copyright: GPL
Group: Graphical desktop/Icewm
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}/X11R6
Requires: perl-GTK >= 0.5121
BuildRequires: icewm

%description
IceConf is a graphical configuration program for the Ice Windowmanager written
using perl/GTK.

%prep
%setup
%build
%configure

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/%{prefix}/

install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/

# icon
mkdir -p $RPM_BUILD_ROOT/usr/share/icons
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/usr/share/icons/%{name}.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi  

%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{prefix}/bin/iceconf
/usr/lib/menu/%{name}
/usr/share/icons/%{name}.xpm

%changelog
* Sat Apr 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.99.33-5mdk
- added IceWM-only menu entry

* Fri Apr  7 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.99.33-4mdk
- Updated group to new groups

* Wed Jan 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.33-3mdk
- BuildRequires: icewm.

* Thu Nov  4 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- fix building as user.

* Tue Jul 22 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add french description

* Wed Jul 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- First version for Mandrake distribution.


# end of file
